# Task Assignment Roles Task Assignment Roles ## Gets all of the task assignment roles in the system. - [GET /taskAssignmentRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/listtaskassignmentroles.md): This method will scan all task assignment roles and and return them to the caller. ## Creates a new task assignment role record that does not already exist. - [POST /taskAssignmentRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/createtaskassignmentrole.md): This method will auto-generate an ID and create a new task assignment role. If an ID is specified for the task assignment role, an error will be thrown. ## Execute Batch Operations - [POST /taskAssignmentRoles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a task assignment role from the system by its ID. - [DELETE /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/deletetaskassignmentrole.md): This method will delete a task assignment role with the specified ID. ## Returns a task assignment role from the system by its ID. - [GET /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/gettaskassignmentrole.md): This method will look up a task assignment role by the specified ID and return it back. ## Partially updates a task assignment role with the specified ID. - [PATCH /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/patchtaskassignmentrole.md): This method will patch an existing task assignment role with the specified ID, using the HTTP PATCH specification. ## Updates a task assignment role with the specified ID. - [PUT /taskAssignmentRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-assignment-roles/updatetaskassignmentrole.md): This method will update an existing task assignment role with the specified ID.